List all flows
curl --request GET \
--url https://api.dualship.run/api/v1/flows \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://api.dualship.run/api/v1/flows"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.dualship.run/api/v1/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flows": [
{
"created_at": "2024-01-15T10:30:00Z",
"description": "Handles user registration and welcome email",
"edges": [
123
],
"id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": [
123
],
"name": "User Registration Flow",
"nodes": [
123
],
"project_id": "550e8400-e29b-41d4-a716-446655440001",
"slug": "user-registration",
"status": "active",
"trigger_config": [
123
],
"trigger_type_id": "550e8400-e29b-41d4-a716-446655440002",
"updated_at": "2024-01-15T10:30:00Z"
}
]
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}flows
List all flows
Get a list of all flows for the project
GET
/
api
/
v1
/
flows
List all flows
Authorizations
JWT Bearer token authentication
Headers
Workspace ID
Query Parameters
Project ID (uses default if not specified)
Limit
Offset
Response
List of flows
List of flows
Show child attributes
Show child attributes
Was this page helpful?
⌘I